libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
ns2_sns_elems Struct Reference

## Data Fields
struct gprs_ns_ie_ip4_elem * | ip4
unsigned int | num_ip4
struct gprs_ns_ie_ip6_elem * | ip6
unsigned int | num_ip6

## Field Documentation

## ◆ ip4

struct gprs_ns_ie_ip4_elem* ns2_sns_elems::ip4

Referenced by add_ip4_elem(), create_missing_nsvcs(), create_nsvc_for_new_sbind(), ip4_weight_sum(), ns2_clear_elems(), ns2_get_sbind_ip4_entry(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_copy_local_endpoints(), ns2_sns_dump_vty(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_configured_delete(), ns2_sns_st_local_procedure(), ns2_sns_st_sgsn_wait_config_ack_onenter(), ns_sns_append_remote_eps(), remove_ip4_elem(), and update_ip4_elem().

## ◆ ip6

struct gprs_ns_ie_ip6_elem* ns2_sns_elems::ip6

Referenced by add_ip6_elem(), create_missing_nsvcs(), create_nsvc_for_new_sbind(), ip6_weight_sum(), ns2_clear_elems(), ns2_get_sbind_ip6_entry(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_copy_local_endpoints(), ns2_sns_dump_vty(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_configured_delete(), ns2_sns_st_local_procedure(), ns2_sns_st_sgsn_wait_config_ack_onenter(), ns_sns_append_remote_eps(), remove_ip6_elem(), and update_ip6_elem().

## ◆ num_ip4

unsigned int ns2_sns_elems::num_ip4

Referenced by add_ip4_elem(), create_missing_nsvcs(), create_nsvc_for_new_sbind(), do_sns_add(), ip4_weight_sum(), ns2_clear_elems(), ns2_get_sbind_ip4_entry(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_copy_local_endpoints(), ns2_sns_dump_vty(), ns2_sns_st_all_action(), ns2_sns_st_all_action_sgsn(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_bss_size_onenter(), ns2_sns_st_configured_delete(), ns2_sns_st_local_procedure(), ns2_sns_st_sgsn_wait_config_ack_onenter(), ns_sns_append_remote_eps(), remove_ip4_elem(), and update_ip4_elem().

## ◆ num_ip6

unsigned int ns2_sns_elems::num_ip6

Referenced by add_ip6_elem(), create_missing_nsvcs(), create_nsvc_for_new_sbind(), do_sns_add(), ip6_weight_sum(), ns2_clear_elems(), ns2_get_sbind_ip6_entry(), ns2_sns_compute_local_ep_from_binds(), ns2_sns_copy_local_endpoints(), ns2_sns_dump_vty(), ns2_sns_st_all_action(), ns2_sns_st_all_action_sgsn(), ns2_sns_st_bss_config_bss_onenter(), ns2_sns_st_bss_size_onenter(), ns2_sns_st_configured_delete(), ns2_sns_st_local_procedure(), ns2_sns_st_sgsn_wait_config_ack_onenter(), ns_sns_append_remote_eps(), remove_ip6_elem(), and update_ip6_elem().

The documentation for this struct was generated from the following file:

- src/gb/gprs_ns2_sns.c